Naar hoofdinhoud gaan

Deze browser wordt niet meer ondersteund.

Upgrade naar Microsoft Edge om te profiteren van de nieuwste functies, beveiligingsupdates en technische ondersteuning.

Microsoft Edge downloaden Meer informatie over Internet Explorer en Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Evaluation Rules

Create or update an evaluation rule

PUT /evaluationrules/{id}

Creates a new evaluation rule, or replaces the existing rule when the identifier matches.

Queryparameters

api-version string vereist

The API version to use for this operation.

Padparameters

id string vereist

Unique identifier for the evaluation rule.

Koptekstparameters

Foundry-Features enum

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Evaluations=V1Preview

Aanvraagbody

Evaluation rule resource

Content-Type: application/json
id string vereist

Unique identifier for the evaluation rule.

displayName string

Display Name for the evaluation rule.

description string

Description for the evaluation rule.

action continuousEvaluation | humanEvaluationPreview vereist

Evaluation action model.

Een van de volgende:
continuousEvaluation ContinuousEvaluationRuleAction

Evaluation rule action for continuous evaluation.

type enum vereist
continuousEvaluation
evalId string vereist

Eval Id to add continuous evaluation runs to.

maxHourlyRuns integer

Maximum number of evaluation runs allowed per hour.

samplingRate number

Percentage (0-100] chance that a matching event triggers an evaluation. When omitted, the service-default is to evaluate every event, which is equivalent to setting a sampling rate of 100.

humanEvaluationPreview HumanEvaluationPreviewRuleAction

Evaluation rule action for human evaluation.

type enum vereist
humanEvaluationPreview
templateId string vereist

Identifier of a saved asset.

filter EvaluationRuleFilter

Evaluation filter model.

agentName string vereist

Filter by agent name.

eventType string | enum vereist

Type of the evaluation rule event.

Een van de volgende:
string
enum
responseCompletedmanual
enabled boolean vereist

Indicates whether the evaluation rule is enabled. Default is true.

systemData object vereist

System metadata for the evaluation rule.

[key: string] string

Antwoorden

The request has succeeded.

Hoofdtekst

Content-Type: application/json
id string vereist

Unique identifier for the evaluation rule.

displayName string

Display Name for the evaluation rule.

description string

Description for the evaluation rule.

action continuousEvaluation | humanEvaluationPreview vereist

Evaluation action model.

Een van de volgende:
continuousEvaluation ContinuousEvaluationRuleAction

Evaluation rule action for continuous evaluation.

type enum vereist
continuousEvaluation
evalId string vereist

Eval Id to add continuous evaluation runs to.

maxHourlyRuns integer

Maximum number of evaluation runs allowed per hour.

samplingRate number

Percentage (0-100] chance that a matching event triggers an evaluation. When omitted, the service-default is to evaluate every event, which is equivalent to setting a sampling rate of 100.

humanEvaluationPreview HumanEvaluationPreviewRuleAction

Evaluation rule action for human evaluation.

type enum vereist
humanEvaluationPreview
templateId string vereist

Identifier of a saved asset.

filter EvaluationRuleFilter

Evaluation filter model.

agentName string vereist

Filter by agent name.

eventType string | enum vereist

Type of the evaluation rule event.

Een van de volgende:
string
enum
responseCompletedmanual
enabled boolean vereist

Indicates whether the evaluation rule is enabled. Default is true.

systemData object vereist

System metadata for the evaluation rule.

[key: string] string

The request has succeeded and a new resource has been created as a result.

Hoofdtekst

Content-Type: application/json
id string vereist

Unique identifier for the evaluation rule.

displayName string

Display Name for the evaluation rule.

description string

Description for the evaluation rule.

action continuousEvaluation | humanEvaluationPreview vereist

Evaluation action model.

Een van de volgende:
continuousEvaluation ContinuousEvaluationRuleAction

Evaluation rule action for continuous evaluation.

type enum vereist
continuousEvaluation
evalId string vereist

Eval Id to add continuous evaluation runs to.

maxHourlyRuns integer

Maximum number of evaluation runs allowed per hour.

samplingRate number

Percentage (0-100] chance that a matching event triggers an evaluation. When omitted, the service-default is to evaluate every event, which is equivalent to setting a sampling rate of 100.

humanEvaluationPreview HumanEvaluationPreviewRuleAction

Evaluation rule action for human evaluation.

type enum vereist
humanEvaluationPreview
templateId string vereist

Identifier of a saved asset.

filter EvaluationRuleFilter

Evaluation filter model.

agentName string vereist

Filter by agent name.

eventType string | enum vereist

Type of the evaluation rule event.

Een van de volgende:
string
enum
responseCompletedmanual
enabled boolean vereist

Indicates whether the evaluation rule is enabled. Default is true.

systemData object vereist

System metadata for the evaluation rule.

[key: string] string

Client error

Kopteksten

x-ms-error-code string

String error code indicating what went wrong.

Hoofdtekst

Content-Type: application/json
error Azure.Core.Foundations.Error vereist

The error object.

code string vereist

One of a server-defined set of error codes.

message string vereist

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Server error

Kopteksten

x-ms-error-code string

String error code indicating what went wrong.

Hoofdtekst

Content-Type: application/json
error Azure.Core.Foundations.Error vereist

The error object.

code string vereist

One of a server-defined set of error codes.

message string vereist

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Aanvraag

PUT /evaluationrules/{id} HTTP/1.1

Respons

Status: 200
Content-Type: application/json
Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
nl-nl
Uw privacykeuzes
  • AI-disclaimer
  • Vorige versies
  • Blog
  • Bijdragen
  • Privacy
  • Privacy van gezondheidsdata
  • Gebruiksvoorwaarden
  • Handelsmerken
  • © Microsoft 2026